import request from '@/utils/request'

// 初始化合同号
export function initContract() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同_查询'
    }
  })
}
// 初始化合同号
export function initContract1() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同变更_合同初始化'
    }
  })
}
// 初始化采购员
export function initBuyer() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=5'
    }
  })
}
// 采购合同查询
export function searchTable1(pageCurrent, pageSize, check2, contract, check3, name, check4, supplier) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_现有合同_查询数据',
      param: '采购合同流水号_check=' + check2 + '&采购合同流水号=' + contract + '&人员编号_check=' + check3 + '&人员编号=' + name + '&供应商名称_check=' + check4 + '&供应商名称=' + supplier,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 采购合同明细查询
export function searchTable2(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同_查询数据_外购件',
      param: '采购合同流水号=' + num
    }
  })
}
// 采购合同明细查询
export function searchTable5(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同_查询数据_基本件',
      param: '采购合同流水号=' + num
    }
  })
}
// 采购合同变更查询
export function searchTable3(pageCurrent, pageSize, check2, contract, check3, name, check4, supplier) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同变更_查询数据_根据条件_cjn',
      param: '采购合同变更流水号_check=' + check2 + '&采购合同变更流水号=' + contract + '&人员编号_check=' + check3 + '&人员编号=' + name + '&供应商名称_check=' + check4 + '&供应商名称=' + supplier,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 采购合同变更明细查询
export function searchTable4(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同明细变更_查询数据_外购件',
      param: '采购合同变更流水号=' + num
    }
  })
}
export function searchTable6(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同明细变更_查询数据_基本件',
      param: '采购合同变更流水号=' + num
    }
  })
}
// 采购合同变更
export function submitContract(num, text) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_车间采购合同变更_增加数据',
      param: '采购合同流水号=' + num + '&合同变更原因=' + text
    }
  })
}
